Package com.independentsoft.office.word.math

# Class EquationArrayProperties

java.lang.Object
com.independentsoft.office.word.math.EquationArrayProperties

public class EquationArrayProperties extends Object
The Class EquationArrayProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EquationArrayProperties()`
  Instantiates a new equation array properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EquationArrayProperties`
  `clone()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `VerticalJustification`
  `getMatrixBaseJustification()`
  Gets the matrix base justification.
  `ExtendedBoolean`
  `getMaximumDistribution()`
  Gets the maximum distribution.
  `ExtendedBoolean`
  `getObjectDistribution()`
  Gets the object distribution.
  `int`
  `getRowSpacing()`
  Gets the row spacing.
  `SpacingRule`
  `getSpacingRule()`
  Gets the spacing rule.
  `void`
  `setMatrixBaseJustification​(VerticalJustification matrixBaseJustification)`
  Sets the matrix base justification.
  `void`
  `setMaximumDistribution​(ExtendedBoolean maximumDistribution)`
  Sets the maximum distribution.
  `void`
  `setObjectDistribution​(ExtendedBoolean objectDistribution)`
  Sets the object distribution.
  `void`
  `setRowSpacing​(int rowSpacing)`
  Sets the row spacing.
  `void`
  `setSpacingRule​(SpacingRule spacingRule)`
  Sets the spacing rule.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EquationArrayProperties

    public EquationArrayProperties()
    Instantiates a new equation array properties.

- ## Method Details

  - ### clone

    public EquationArrayProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMatrixBaseJustification

    public VerticalJustification getMatrixBaseJustification()
    Gets the matrix base justification.
    Returns:
      the matrix base justification

  - ### setMatrixBaseJustification

    public void setMatrixBaseJustification​(VerticalJustification matrixBaseJustification)
    Sets the matrix base justification.
    Parameters:
      `matrixBaseJustification` - the new matrix base justification

  - ### getMaximumDistribution

    public ExtendedBoolean getMaximumDistribution()
    Gets the maximum distribution.
    Returns:
      the maximum distribution

  - ### setMaximumDistribution

    public void setMaximumDistribution​(ExtendedBoolean maximumDistribution)
    Sets the maximum distribution.
    Parameters:
      `maximumDistribution` - the new maximum distribution

  - ### getObjectDistribution

    public ExtendedBoolean getObjectDistribution()
    Gets the object distribution.
    Returns:
      the object distribution

  - ### setObjectDistribution

    public void setObjectDistribution​(ExtendedBoolean objectDistribution)
    Sets the object distribution.
    Parameters:
      `objectDistribution` - the new object distribution

  - ### getSpacingRule

    public SpacingRule getSpacingRule()
    Gets the spacing rule.
    Returns:
      the spacing rule

  - ### setSpacingRule

    public void setSpacingRule​(SpacingRule spacingRule)
    Sets the spacing rule.
    Parameters:
      `spacingRule` - the new spacing rule

  - ### getRowSpacing

    public int getRowSpacing()
    Gets the row spacing.
    Returns:
      the row spacing

  - ### setRowSpacing

    public void setRowSpacing​(int rowSpacing)
    Sets the row spacing.
    Parameters:
      `rowSpacing` - the new row spacing

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties